Subject: Re: [bitcoin-dev] Block size following technological growth

From: Jorge Timón <[email-masked]>
Date: Tue, 4 Aug 2015 15:37:49 +0200

On Tue, Aug 4, 2015 at 2:19 PM, Hector Chu <[email-masked]> wrote:
> On 4 August 2015 at 12:59, Jorge Timón <[email-masked]> wrote:
>>
>> That is not my position. Again, I don't know what the right blocksize
>> for the short term is (I don't think anybody does).
>
> You have no position (i.e. neutral). In other words, keeping the existing
> limit.

No, I think 1 MB is just as arbitrary as any other size proposed.
All I want is for consensus change proponents to try harder to
convince other users (including me)

>> Therefore how the change can affect mining centralization must be the
>> main concern, instead of (also artificial) projections about usage
>> growth (no matter how organic their curves look).
>
>
> The degree of mining decentralization is only one of many concerns. Users'
> main concern is timely confirmation of low-fee transactions. Miners' concern
> is the amount of profit they make.

No, if the changed rule only serves to limit centralization, then how
that limitation to centralization is affected should be the first
thing to consider.
If miners' concern was only the amount of profit they make they
wouldn't mine free transactions already.
You cannot possibly know what all users' are concern about, so I will
just ignore any further claim in that direction.
Talk for yourself: your arguments won't be more reasonable just
because you claim that all users think like you do.

>> Also I don't think "hitting the limit" must be necessarily harmful and
>> if it is, I don't understand why hitting it at 1MB will be more
>> harmful than hitting it at 2MB, 8MB or 8GB.
>
>
> The limit won't even get to be hit, because all the users that get thrown
> out of Bitcoin will have moved over to a system supporting a larger block
> size.

I disagree with this wild prediction as well.

>> I don't know where you get your "majority" from or what it even means
>> (majority of users, majority of the coins, of miners?)
>
>
> The majority which the miners are beholden to is the economic majority.
> https://en.bitcoin.it/wiki/Economic_majority

And I assume the way that vaguely defined "economic majority"
communicates with you through a crystal ball or something

>> But there's something I'm missing something there...why my position
>> doesn't matter if it's not a majority?
>
>
> Your position is only one of many and it does not carry excess weight to the
> others. Individually it won't matter, because you can't control the
> implementation that other people run.

No more, but not less either.
Nobody can't control the implementation that I (or other people
concerned with centralization) run either.

>> How is what the the majority has been told it's best an objective
>> argument?
>
>
> Don't fight the market. The way the system is designed, the miners will
> follow along with what the economic majority have decided.

How is allowing fees from rising above zero "fighting the market"?
The system is currently designed with a 1 MB limit. I don't think
that's sacred or anything, but I really don't feel like I'm fighting
"the market" or "the way the system is designed".
In any case, what do "the market" and "the way the system is designed"
have to do with what the majority have been told it's best (which you
seem to think should be a source of truth for some reason I'm still
missing)?

>> So if you say 8, I must ask, why not 9?
>> Why 9 MB is not safe for mining centralization but 8 MB is?
>
>
> 8MB has simply been the focal point for this debate. 9MB is also safe if 8MB
> is, but I suppose the opponents will be even less happy with 9 than with 8,
> and we don't want to unnecessarily increase the conflict.

Why 9 MB is safe but 10 MB isn't?
The "conflict" won't be resolved by evading hard questions...

>> It seems like the rationale it's always "the bigger the better" and
>> the only limitation is what a few people concerned with mining
>> centralization (while they still have time to discuss this) are
>> willing to accept. If that's the case, then there won't be effectively
>> any limit in the long term and Bitcoin will probably fail in its
>> decentralization goals.
>
>
> A one-time increase to 8MB is safer than a dynamically growing limit over
> time for exactly this reason. Admittedly whenever the next debate to
> increase the block size over 8MB happens it will be even more painful and
> non-obvious, but that is the safety check to prevent unbounded block size
> increase.

Will there ever be a debate that results in "further blocksize
increases at this point are very risky for mining centralization"?
How will we tell then? Can't we use the same criteria now?